Cancel fraud order by order number - Fabric
Cancel fraud order by order number
cURL
curl --request POST \
--url https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/fraud-cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"reasonCode": "Fraudulent order",
"attributes": {
"salesRepId": "123456789"
},
"employeeId": "12312232",
"note": "Fraud cancellation",
"subReasonCode": "Impersonation"
}
'
Python
import requests
url = "https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/fraud-cancel"
payload = {
"reasonCode": "Fraudulent order",
"attributes": { "salesRepId": "123456789" },
"employeeId": "12312232",
"note": "Fraud cancellation",
"subReasonCode": "Impersonation"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
reasonCode: 'Fraudulent order',
attributes: {salesRepId: '123456789'},
employeeId: '12312232',
note: 'Fraud cancellation',
subReasonCode: 'Impersonation'
})
};
fetch('https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/fraud-cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/fraud-cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reasonCode' => 'Fraudulent order',
'attributes' => [
'salesRepId' => '123456789'
],
'employeeId' => '12312232',
'note' => 'Fraud cancellation',
'subReasonCode' => 'Impersonation'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-channel-id: <x-fabric-channel-id>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/fraud-cancel"
payload := strings.NewReader("{\n \"reasonCode\": \"Fraudulent order\",\n \"attributes\": {\n \"salesRepId\": \"123456789\"\n },\n \"employeeId\": \"12312232\",\n \"note\": \"Fraud cancellation\",\n \"subReasonCode\": \"Impersonation\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest
HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/fraud-cancel")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("x-fabric-channel-id", "<x-fabric-channel-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reasonCode\": \"Fraudulent order\",\n \"attributes\": {\"salesRepId\": \"123456789\"},\n \"employeeId\": \"12312232\",\n \"note\": \"Fraud cancellation\",\n \"subReasonCode\": \"Impersonation\"}\")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/fraud-cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["x-fabric-channel-id"] = '<x-fabric-channel-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reasonCode\": \"Fraudulent order\",\n \"attributes\": {\"salesRepId\": \"123456789\"},\n \"employeeId\": \"12312232\",\n \"note\": \"Fraud cancellation\",\n \"subReasonCode\": \"Impersonation\"}\"
response = http.request(request)
puts response.read_body
Response Status Codes
- 200: OK
- 400: Bad Request
- 401: Unauthorized
- 404: Not Found
- 500: Internal Server Error
Example Responses
Success Response
{
"message": "OK"
}
Error Response
{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}
- Client Error Responses
- message: Unauthorized request
- message: An order with the orderNumber specified was not found
- message: Internal server error
Authorizations
- Authorization: required, Bearer authentication header of the form
Bearer <token>.